
.navBar {
    background: #fff;
    position: fixed;
    z-index: 5;
    width: 100%;
    top: 0px; 
  }

.internalMargin {
  max-width: 1400px;
  padding-right: 2em;
  padding-left: 2em;
  margin: auto;
  display: grid;
  grid-template-columns: 180px 180px auto;
  align-items: center;
  justify-content: 'space-between';
}

.directory {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  padding-left: 1em;
  height: 100%;
}

.logoHold {
  padding: 2em 0.75em 2em 0px;
}

.awardHold {
  width: 134px;
  height: 78px;
  position: relative;
}

.logoHoldMobile {
  margin-left: 0px;
  padding: 1em;
}

.logoHold:hover {
  cursor: pointer;
}


.navBox {
  display: flex;
}

.linkshow {
  text-decoration: none;
  color: black;
  padding-top: 12px;
  cursor: default;
}

.linkshow:hover {
  color: var(--primary);
}


.linkunderline {
  border-bottom: 2px solid white;
  width: 1%;
  float: left;
  clear: right;
  padding-top: 12px
}

.linkshow:hover > span {
  border-bottom: 2px solid var(--primary);
  width: 100%;
  transition: width 1s;
}


.holdFlex {
  display: flex;
  align-items: center;
}

.navBox>* {
  margin-left: 4em;
}

.languageBox {
  align-items: center;
}

.dropdown {
  background: none;
  border: none;
  color: #8C8C8C;
  font-size: 1em;
  width: 80%;
  margin-left: 1em;
  margin-right: 1em;
}

.mobileNavBar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  position: fixed;
  z-index: 3;
  top: 0;
  display: none;
  background: #fff;
}

.hamburgerHold {
  margin: 1em;
  border: none;
  background: none;
  z-index: 8;
  position: relative;
}

@keyframes underline {
  0% {
    width: 0px;
  }
  100% {
    width: 100px;
  }
}



@keyframes appear {
  0% {
    right: -100vw;
  }
}

@keyframes appearb {
  0% {
    right: -100vw;
  }
}

.hideMenu>* {
  padding-right: 2em;
}

.displayMenu>* {
  padding-right: 2em;
}

.menuHold {
  display: flex;
  justify-content: space-between;
  height: 73px;
  align-items: center;
  width: 200px;
}

.padbox {
  padding: 1em;
}

.padbox>div {
  padding-bottom: 1em;
  text-align: right;
}

.buttonHold {
  padding: 1em;
}

.buttonLink {
  color: white;
  text-decoration: none;
}

.logo {
  height: 31px;
  margin: 0.8em;
  margin-left: 0;
}

.blue {
  color: #0258FF;
}

.hideMenu {
  display: none;
}

.displayMenu {
  display: none;
}
/*submenus*//*----*//*----*//*----*//*----*//*----*/



.submenuHold {
  position: absolute; visibility: hidden;
  opacity: 0;
  transition: opacity 0.5s, visibility 0.5s, ;
  margin-top: 24px;
  border: 1px solid var(--mono50);
  background: var(--mono00);
  padding: 24px;
  border-radius: 8px;
}

.optionHold:hover > .submenuHold {
  display: block;
  visibility: visible;
  position: fixed;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  opacity: 1;
  transition: opacity 0.5s, box-shadow 1s, visibility 0.5s;
}

#involve {
  margin-left: 0em;
}

#involve >  .submenuHold {
  margin-left: -200px;
  width: 800px;
}

#use >  .submenuHold {
  margin-left: -400px;
  width: 600px;
}

#write .submenuHold {
  margin-left: -740px;
  width: 800px;
}

#dev >  .submenuHold  {
  width: 800px;
  margin-left: -400px;
}
#org >  .submenuHold  {
  width: 800px;
  margin-left: -560px;
}


/*----*//*----*//*----*//*----*//*----*//*----*/

@media only screen and (max-width: 900px) {
  .mobileNavBar {
    display: flex;
    align-content: space-between;
  }
  .internalMargin {
    display: none;
  }

  .navBar {
    padding: 0em;
  }

  .mobilelinkshow {
    font-size: 1.6em;
    text-decoration: none;
    color: black;
    text-align: right;
  }

  .displayMenu {
    position: fixed;
    z-index: 5;
    display: flex;
    flex-direction: column;
    top: 0px;
    right: 0;
    background: white;
    width: 100%;
    opacity: 1;
    padding: 1em 0em 2em 1em;
    transition: right 1s;
    height: 100vh;
    box-shadow: -2px 0px 4px rgba(0, 0, 0, 0.25);
    overflow: scroll;
  }

  .hideMenu {
    position: fixed;
    z-index: 4;
    display: flex;
    flex-direction: column;
    top: 0px;
    right: -100vw;
    background: white;
    width: 180px;
    opacity: 1;
    padding: 1em 1em 2em 1em ; 
    transition: right 1s;
    height: 100vh;
    box-shadow: -2px 0px 4px rgba(0, 0, 0, 0.25);
  }

  .logoHold {
    padding: 0em 1em 0em 0px;
  }


}
